<?php
ob_start();
session_start();

include_once('../../class/class.mysql.php');
include_once('../../evento/contrato/class.contrato.php');
include_once('../../include/utilitarios.php');
include_once('../class.evento.php');
$mysqlCom = new MysqlConnect();
extract($_POST);
$Contrato = new Contrato();
$Evento = new Evento();

if ($ax == 'SalvarContrato') {
	$Contrato->ContratoUpdate($id_evento, $edtNome, $edtCpf, $edtRg, $edtCEP, $edtEndereco, $edtBairro, $edtCidade);
	$Remover = array(".", "-", "/");

	$bloco = $edtNome . ' ' . $edtCpf . ' ' . $edtRg . ' ' . str_replace($Remover, '', $edtCpf) . ' ' . $edtEndereco;

	$Evento->GerenciarLocalizador($id_evento, 1, RemoverAcentos($bloco));
}


if ($ax == 'DeleteContrato') {
	$Contrato->ContratoDelete($id_evento);
}


if ($ax == 'LerContratoPadrao') {
	echo file_get_contents("evento/contrato/print_contrato/contrato_padrao.php");
}


if ($ax == 'SalvarContratoLayout') {

	if ($tipo == '1')
		$fp = fopen('print_contrato/' . $id_empresa . '_1.php', 'w');

	if ($tipo == '2')
		$fp = fopen('print_contrato/' . $id_empresa . '_2.php', 'w');

	if ($tipo == '3')
		$fp = fopen('print_contrato/' . $id_empresa . '_3.php', 'w');

	// Escreve "exemplo de escrita" no bloco1.txt
	$escreve = fwrite($fp, $edtHTML);
	// Fecha o arquivo
	fclose($fp);
}

if ($ax == 'DeletarContrato') {
	if ($tipo == '1') {
		unlink('print_contrato/' . $id_empresa . '_1.php');
		echo '<a href="?p=evento/contrato/edit_contrato&ax=1">Criar</a>';
	}

	if ($tipo == '2') {
		unlink('print_contrato/' . $id_empresa . '_2.php');
		echo '<a href="?p=evento/contrato/edit_contrato&ax=2">Criar</a>';
	}

	if ($tipo == '3') {
		unlink('print_contrato/' . $id_empresa . '_3.php');
		echo '<a href="?p=evento/contrato/edit_contrato&ax=1">Criar</a>';
	}
}

if ($ax == 'SelectHistoricoContrato') {
	echo '
   <table width="800" border="0">
    <tr>
      <td colspan="3">Histórico de impressão do Contrato</td>
    </tr>
    <tr>
      <td width="157" class="descricao">Data Hora</td>
      <td width="139" class="descricao">Valor</td>
      <td width="490" class="descricao">Usuário</td>
    </tr>';

	$Contrato->SelectPrintContrato($id_evento);

	while ($row = mysqli_fetch_object($Contrato->qry)) {
		echo '<tr><td>' . InverterDataHora($row->data_hora) . '</td>
         <td><div align="right">' . FormatoValor($row->valor) . '</div></td>
         <td><div align="left">' . $row->usuario . '</div></td>';
	}

	echo '   </tr>
         </table><script type="text/javascript" src="js/table.js"></script>';
}


if ($ax == 'InsertHistorioPrintContrato') {
	$usuario = $_SESSION['fild_vfoto_login'];
	$Contrato->InsertHistorioPrintContrato($id_evento, $valor, $usuario);
}
